List support tickets
List all the support tickets created under a Moov account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/tickets.read scope.
If you're listing another account's tickets, then you'll need to
specify the /accounts/{partnerAccountID}/tickets.read and /accounts/{accountID}/profile.read scopes.
GET
/accounts/{accountID}/tickets
curl -X GET "https://api.moov.io/accounts/{accountID}/tickets" \
-H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()
var accountID string // customer
mc.ListTickets(ctx, accountID, moov.WithTicketCount(1))
using Moov.Sdk;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(xMoovVersion: "<value>");
ListTicketsRequest req = new ListTicketsRequest() {
Count = 20,
AccountID = "8ef75c13-2a50-4438-b294-2a850eb4986d",
};
var res = await sdk.Support.ListTicketsAsync(req);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListTicketsRequest;
import io.moov.sdk.models.operations.ListTicketsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListTicketsRequest req = ListTicketsRequest.builder()
.accountID("8ef75c13-2a50-4438-b294-2a850eb4986d")
.count(20L)
.build();
ListTicketsResponse res = sdk.support().listTickets()
.request(req)
.call();
if (res.object().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
req = Models::Operations::ListTicketsRequest.new(
count: 20,
account_id: '8ef75c13-2a50-4438-b294-2a850eb4986d',
)
res = s.support.list_tickets(request: req)
unless res.object.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.support.listTickets({
count: 20,
accountID: "8ef75c13-2a50-4438-b294-2a850eb4986d",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListTicketsRequest(
count: 20,
accountID: '8ef75c13-2a50-4438-b294-2a850eb4986d',
);
$response = $sdk->support->listTickets(
request: $request
);
if ($response->object !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.support.list_tickets(account_id="8ef75c13-2a50-4438-b294-2a850eb4986d", count=20)
# Handle response
print(res)The request completed successfully.
A paginated list of items. The
nextPage field is omitted if there are no more pages available.{
"items": [
{
"ticketID": "string",
"number": 0,
"title": "string",
"contact": {
"email": "string",
"name": "string"
},
"status": "new",
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z",
"latestMessageOn": "2019-08-24T14:15:22Z",
"closedOn": "2019-08-24T14:15:22Z",
"foreignID": "string"
}
],
"nextPage": {
"cursor": "string"
}
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Query parameters
cursor
string
count
integer
<int64>
Default:
200status
string
Possible values:
new,
in-progress,
on-hold,
closed
foreignID
string
Response
nextPage field is omitted if there are no more pages available.
items
array<object>
required
Show child attributes
closedOn
string<date-time>
contact
object
Show child attributes
string
required
name
string
createdOn
string<date-time>
foreignID
string
latestMessageOn
string<date-time>
number
integer
status
string<enum>
Possible values:
new,
in-progress,
on-hold,
closed
ticketID
string
title
string
updatedOn
string<date-time>
nextPage
object
Show child attributes
cursor
string
required
The cursor value to use for the next page of items.